Bug 1715296 - Review Request: libinsane - Cross-platform access to image scanners
Summary: Review Request: libinsane - Cross-platform access to image scanners
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-30 03:42 UTC by Elliott Sales de Andrade
Modified: 2019-06-18 21:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 18:14:31 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-05-30 03:42:15 UTC
Spec URL: https://qulogic.fedorapeople.org//libinsane.spec
SRPM URL: https://qulogic.fedorapeople.org//libinsane-1.0-1.fc30.src.rpm

Description:
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

Comment 1 Elliott Sales de Andrade 2019-05-30 03:42:54 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35138586

Comment 2 Elliott Sales de Andrade 2019-05-30 04:15:37 UTC
Oops, I messed up %check; I've re-uploaded and here is the correct scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35138872

Comment 3 Robert-André Mauchin 2019-06-07 16:23:51 UTC
 - The Version-Release info in your %changelog entry does not match the header:

* Thu Mar 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0-1


Package approved. Please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU Lesser General
     Public License". 170 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/libinsane/review-
     libinsane/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libinsane-gobject-devel , libinsane-vala
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libinsane-1.0-1.fc31.x86_64.rpm
          libinsane-devel-1.0-1.fc31.x86_64.rpm
          libinsane-gobject-1.0-1.fc31.x86_64.rpm
          libinsane-gobject-devel-1.0-1.fc31.x86_64.rpm
          libinsane-vala-1.0-1.fc31.noarch.rpm
          libinsane-debuginfo-1.0-1.fc31.x86_64.rpm
          libinsane-debugsource-1.0-1.fc31.x86_64.rpm
          libinsane-1.0-1.fc31.src.rpm
libinsane.x86_64: W: incoherent-version-in-changelog 0.9-1 ['1.0-1.fc31', '1.0-1']
libinsane.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-devel.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-gobject.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-gobject.x86_64: W: no-documentation
libinsane-gobject-devel.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-vala.noarch: E: devel-dependency libinsane-gobject-devel
libinsane-vala.noarch: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-vala.noarch: W: no-documentation
libinsane-debuginfo.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane-debugsource.x86_64: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
libinsane.src: W: invalid-url URL: https://doc.openpaper.work/libinsane/latest/ HTTP Error 503: Service Unavailable
8 packages and 0 specfiles checked; 1 errors, 11 warnings.

Comment 4 Igor Gnatenko 2019-06-08 09:47:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libinsane

Comment 5 Fedora Update System 2019-06-10 22:02:42 UTC
FEDORA-2019-459bca70b6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-459bca70b6

Comment 6 Fedora Update System 2019-06-10 22:02:57 UTC
FEDORA-2019-22471b81ba has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22471b81ba

Comment 7 Fedora Update System 2019-06-11 01:19:42 UTC
libinsane-1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-459bca70b6

Comment 8 Fedora Update System 2019-06-11 01:45:50 UTC
libinsane-1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22471b81ba

Comment 9 Fedora Update System 2019-06-18 18:14:31 UTC
libinsane-1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-06-18 21:19:08 UTC
libinsane-1.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.